libname sr 'f://dropbox/dropbox/billy'; run;
/* picking up the final permanent dataset created in chapter 14*/

/* creating a dichotomous variable longten out of catten--created in ch. 14*/
data test5;
set sr.test4;
If catten=4 then longten=1; else longten=0;
run;
/* checking to see if longten was created correctly*/
Proc Freq data=test5;
Tables longten / list missing ;
Run;

Proc Freq data=test5;
Tables q139aw1 *q139bw1*q139cw1_r *q139dw1_r / list missing ;
Run;

/*beginning to examine missing data*/
/*filters out missing values on included variables*/
Data test6;
Set test5;

If q132w1<0 then delete;
If q134w1<0 then delete;
If q137w1<0 then delete;
If q139aw1<0 then delete; 


Run;
Proc Freq data=test6;
Tables q139aw1 q139bw1 q139cw1_r q139dw1_r / list missing ;
Run;
/* creates a variable to identify missing data for analysis */
Data test_miss;
Set test5;
missing=0;

If q132w1<0 then missing=1;
If q134w1<0 then missing=1;
If q137w1<0 then missing=1;
If q139aw1<0 then missing=1; 
If q139bw1<0 then missing=1; 
If q139cw1_r<0 then missing=1; 
If q139dw1_r<0 then missing=1; 

Run;
Proc Freq data=test_miss;
Tables  missing/ list missing ;
Run;
/*runs a logistic regression to see what predicts being missing in the sample.*/
Proc logistic data=test_miss descending;
Model Missing= houstype age gender inc_mon longten educ;
Run;


Proc means data=test6;
Vars q139bw1 q139cw1_r q139dw1_r;
Run;
/* mean imputes missing values.*/
data test7;
set test6;
q139bw1_1=q139bw1;
if q139bw1_1<0 then q139bw1_1= 2.23;
q139cw1_1=q139cw1_r;
if q139cw1_1<0 then q139cw1_1= 2.52;
q139dw1_1=q139dw1_r;
if q139dw1_1<0 then q139dw1_1= 3.01;
scale= q139aw1+q139bw1_1+q139cw1_1+q139dw1_1;

run;

Proc Freq data=test7;
Tables q139aw1 q139bw1_1 q139cw1_1 q139dw1_1  scale/ list missing ;
Run;
/*creates a zscore or standardized version of the variable scale*/
Proc standard mean=0 std=1 data=test7 out=test8;
var scale ;

Run;
Proc means data=test8;
Vars scale;
Run;
/*beginning regression analyses*/
Proc reg data=test8;
Model scale = age gender educ longten q132w1 q137w1;
Run;
